\begin{tikzpicture}
  %graph
  \node[draw,fill=red,circle,inner sep=1pt](a) at (-1,0) {};
  \node[xshift=-.2cm,yshift=0cm] at (a) {\scriptsize $a$}; 
  \node[draw,fill=black,circle,inner sep=1pt](b) at (0,0.8) {};
  \node[xshift=0cm,yshift=0.2cm] at (b) {\scriptsize $b$}; 
  \node[draw,fill=black,circle,inner sep=1pt](c) at (0,-.8) {};
  \node[xshift=0cm,yshift=-0.2cm] at (c) {\scriptsize $c$};
  \node[draw,fill=black,circle,inner sep=1pt](d) at (1,-0) {};
  \node[xshift=0.2cm,yshift=0cm] at (d) {\scriptsize $d$}; 

  % edges 
  %\draw[red!40] (a)--(b);
  %\draw[red!40] (a)--(c);
  \draw (b)--(c);
  \draw (c)--(d); 

  % cut and tree
  \node[draw,fill=red,circle,inner sep=1pt](ac1) at (4,0.8){};
  \node[xshift=-.2cm,yshift=0cm] at (ac1) {\scriptsize $a$};
  \node[draw,fill=red,circle,inner sep=1pt](ac2) at (4,-0.8){};
  \node[xshift=-.2cm,yshift=0cm] at (ac2) {\scriptsize $a$};
  \node[draw,fill=black,circle,inner sep=1pt](bt) at (5,0.8) {};
  \node[xshift=0cm,yshift=0.2cm] at (bt) {\scriptsize $b$}; 
  \node[draw,fill=black,circle,inner sep=1pt](ct) at (5,-.8) {};
  \node[xshift=0cm,yshift=-0.2cm] at (ct) {\scriptsize $c$};
  \node[draw,fill=black,circle,inner sep=1pt](dt) at (6,-0) {};
  \node[xshift=0.2cm,yshift=0cm] at (dt) {\scriptsize $d$}; 
  
  % tree edges
  \draw[red!40] (ac1)--(bt);
  \draw[red!40] (ac2)--(ct);
  \draw (bt)--(ct);
  \draw (ct)--(dt); 
 
\end{tikzpicture}